package com.xtd.project.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xtd.framework.aspectj.lang.annotation.Excel;
import com.xtd.framework.web.domain.BaseEntity;

/**
 * 供应商对象 db_supplier
 * 
 * @author xtd
 * @date 2020-04-07
 */
public class DbSupplier extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 供应商id */
    private Long sId;

    /** 供应商名称 */
    @Excel(name = "供应商名称")
    private String sName;

    /** 联系人 */
    @Excel(name = "联系人")
    private String sUser;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String sPhone;

    public void setsId(Long sId) 
    {
        this.sId = sId;
    }

    public Long getsId() 
    {
        return sId;
    }
    public void setsName(String sName) 
    {
        this.sName = sName;
    }

    public String getsName() 
    {
        return sName;
    }
    public void setsUser(String sUser) 
    {
        this.sUser = sUser;
    }

    public String getsUser() 
    {
        return sUser;
    }
    public void setsPhone(String sPhone) 
    {
        this.sPhone = sPhone;
    }

    public String getsPhone() 
    {
        return sPhone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("sId", getsId())
            .append("sName", getsName())
            .append("sUser", getsUser())
            .append("sPhone", getsPhone())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
